Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.common
Class ScriptRuntimeData

    java.lang.Object
      org.apache.portals.bridges.common.ScriptRuntimeData

public class ScriptRuntimeData
extends Object

ScriptRuntimeData Base class that provides meta data to no Java portlets such as: PHP, Perl

Version:
  $Id: ScriptRuntimeData.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Roger Ruttimann

Field Summary
`private String` | `applicationName`
`private String` | `displayMessage`
`private String` | `queryString`
`private String` | `scriptName`
`private String` | `sessionParameterName`

Constructor Summary
`ScriptRuntimeData()`

Method Summary
`void` | `addQueryArgument(String queryArgument)` addQueryString() Adds one argument at the time to the query strings.
`String` | `getApplicationName()`
`String` | `getDisplayMessage()`
`String` | `getQueryString()`
`String` | `getScriptName()`
`String` | `getSessionParameterName()`
`void` | `setApplicationName(String applicationName)`
`void` | `setDisplayMessage(String displayMessage)`
`void` | `setQueryString(String queryString)`
`void` | `setScriptName(String scriptName)`
`void` | `setSessionParameterName(String sessionParameterName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scriptName

    private String scriptName

### queryString

    private String queryString

### displayMessage

    private String displayMessage

### sessionParameterName

    private String sessionParameterName

### applicationName

    private String applicationName

Constructor Detail

### ScriptRuntimeData

    public ScriptRuntimeData()

Method Detail

### addQueryArgument

    public void addQueryArgument(String queryArgument)

  addQueryString() Adds one argument at the time to the query strings. Takes care of the separators

### getDisplayMessage

    public String getDisplayMessage()

  Returns:
    Returns the displayMessage.

### setDisplayMessage

    public void setDisplayMessage(String displayMessage)

  Parameters:
    `displayMessage` - The displayMessage to set.

### getQueryString

    public String getQueryString()

  Returns:
    Returns the queryString.

### setQueryString

    public void setQueryString(String queryString)

  Parameters:
    `queryString` - The queryString to set.

### getScriptName

    public String getScriptName()

  Returns:
    Returns the scriptName.

### setScriptName

    public void setScriptName(String scriptName)

  Parameters:
    `scriptName` - The scriptName to set.

### getSessionParameterName

    public String getSessionParameterName()

  Returns:
    Returns the sessionParameterName.

### setSessionParameterName

    public void setSessionParameterName(String sessionParameterName)

  Parameters:
    `sessionParameterName` - The sessionParameterName to set.

### getApplicationName

    public String getApplicationName()

  Returns:
    Returns the applicationName.

### setApplicationName

    public void setApplicationName(String applicationName)

  Parameters:
    `applicationName` - The applicationName to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.